/*
 * Created on Jul 21, 2009
 */
package cluster5.client;

import java.util.Date;

import cluster5.shared.ClusterTask;

public class MyClusterTask implements ClusterTask {

	// @Override
	public Object process(Object argument) {
		long numLoops = (Long) argument;

		System.out.println("Got a task to perform " + numLoops + " loops.");

		long startTime = new Date().getTime();

		long counter = 0;
		for (long i = 0; i < numLoops; i++) {
			counter++; // just to do something
		}

		long duration = new Date().getTime() - startTime;

		return numLoops + " finished in " + duration / 1000 + " seconds";
	}
}
